#ifndef XGPASM_H
#define XGPASM_H

typedef struct
	{
	GtkWidget *hexa;
	GtkWidget *decimal;
	GtkWidget *octal;
	}Representation;

typedef struct
	{
	GtkWidget *tout;
	GtkWidget *moyen;
	GtkWidget *erreurs;
	}NiveauDebug;

typedef struct
	{
	GtkWidget *INHX8M;
	GtkWidget *INHX8S;
	GtkWidget *INHX32;
	}FormatSortie;

typedef struct
	{
	GtkWidget *erreur;
	GtkWidget *listing;
	GtkWidget *objet;
	GtkWidget *hex;
	}Fichiers;

typedef struct
	{
	GtkWidget *casse;
	GtkWidget *sauve;
	}Options;

typedef struct
	{
	GtkWidget *bouton;
	GtkWidget *entry;
	}NomSortie;

typedef struct
	{
	GtkWidget *bouton;
	GtkWidget *menuDeroulant;
	}Processeur;

typedef struct
	{
	char *nom;
	int etat;
	}Enregistrement;

typedef struct
	{
	char *nom;
	char *chaine;
	}EnregistrementChaine;

typedef struct
	{
	GtkWidget *fenetre;
	GtkWidget *erreurs;
	GtkWidget *warnings;
	GtkWidget *messages;
	GtkWidget *erreursLogicielles;
	GtkWidget *informations;
	}Assemblage;

typedef struct
	{
	Representation *representation;
	NiveauDebug *niveauDebug;
	FormatSortie *formatSortie;
	Fichiers *fichiers;
	Options *options;
	NomSortie *nomSortie;
	Processeur *processeur;
	Assemblage *assemblage;

	Enregistrement *enregistre;
	EnregistrementChaine *enregistreChaine;

	GtkWidget *nomEntree;
	GtkWidget *lectureFichier;
	GtkWidget *optionsSupplementaires;
	}Xgpasm;

#define _(x) gettext (x)

#endif
